(function() {
	if($("#my_phonebook_form #mode").val() == "edit") {
		var phonebook = new ombu.datatable(
			$("#my_phonebookgeneral .pagedtable"),
			"my_phonebook",
			"get_contacts",
			false,
			function() {
				$("#my_phonebookgeneral .pagedtable tr td:nth-child(8)").each(function() {
					if (this.innerHTML.length > 0) {
						this.innerHTML = '<a href="mailto:' + this.innerHTML + '">' + this.innerHTML + '</a>';
					}
				});
				$("#my_phonebookgeneral .pagedtable tr td:nth-child(3), \
					#my_phonebookgeneral .pagedtable tr td:nth-child(4), \
					#my_phonebookgeneral .pagedtable tr td:nth-child(5)").each(function() {
					if (this.innerHTML.length > 0) {
						this.innerHTML = '<a href="#">' + this.innerHTML + '</a>';
					}
				});
			}
		);
		$("#my_phonebookgeneral").on("update_phonebook .pagedtable", phonebook.update);

		$("#my_phonebookgeneral .pagedtable").on(
				"click", "tr td:nth-child(3) > a, tr td:nth-child(4) > a, tr td:nth-child(5) > a", function(event) {
			var number = $(this).text();
			if(number.length > 0) {
				BootstrapDialog.show({
					type: BootstrapDialog.TYPE_SUCCESS,
					title: phonebook_title,
					message: phonebook_message + ' ' + number,
					buttons: [{
						cssClass: '.btn-success',
						label: phonebook_confirm,
						hotkey: 13, // fire on enter
						action: function(dialog) {
							pbx_request("my_phonebook", "callnumber", "dial", number);
							dialog.close();
						}
					}, {
						label: phonebook_cancel,
						action: function(dialog) {
							dialog.close();
						}
					}]
				});
			}
		});
	}
})();
