use `ombutel`;

create table `ombu_fax_settings` (
	`fax_setting_id` int unsigned not null auto_increment,
	`tenant_id` int unsigned NOT NULL,
	`extension_id` int unsigned not null,
	`fax_number` varchar(255) DEFAULT NULL,
	`fax_send_notify` enum('yes','no') NOT NULL DEFAULT 'no',
	`coversheet_name` varchar(255) DEFAULT NULL,
	`phone_number` varchar(255) DEFAULT NULL,
	`email` varchar(255) DEFAULT NULL,
	unique (`tenant_id`, `extension_id`),
	foreign key (`extension_id`) references `ombu_extensions` (`extension_id`) on delete cascade,
	foreign key (`tenant_id`) references `ombu_tenants` (`tenant_id`) on delete cascade,
	primary key (`fax_setting_id`)
);
