use `ombutel`;

-- add user column
alter table `ombu_users` add column `extension_id` int(10) unsigned default null;
alter table `ombu_users` add foreign key (`extension_id`) references `ombu_extensions`(`extension_id`) on delete set null;

-- move user ids to users
update `ombu_users` as `users`
left join `ombu_extensions_portal` as `portal` on (
	`portal`.`user_id` = `users`.`user_id`)
set `users`.`extension_id` = `portal`.`extension_id`;

-- remove portal
drop table `ombu_extensions_portal`;

alter table `ombu_users` drop column `portalexten`;